Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		qjackctl
Version:	0.3.4
Release:	1
License:	GNU/GPL 
URL:		http://qjackctl.sourceforge.net
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	gui for jack sound server daemon

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: qt4-devel

%description
QjackCtl is a simple Qt application to control the JACK sound server daemon, specific for the Linux Audio Desktop infrastructure.
Written in C++ around the Qt4 toolkit for X11, most exclusively using Qt Designer.
Provides a simple GUI dialog for setting several JACK daemon parameters, which are properly saved between sessions, and a way control of the status of the audio server daemon. With time, this primordial interface has become richer by including a enhanced patchbay and connection control features.

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping the buildroot
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/qjackctl
%{_datadir}/applications/qjackctl.desktop
%{_datadir}/pixmaps/qjackctl.png
%{_datadir}/locale/qjackctl_de.qm
%{_datadir}/locale/qjackctl_es.qm
%{_datadir}/locale/qjackctl_fr.qm
%{_datadir}/locale/qjackctl_ru.qm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.4-1
- version update
* Mon Dec 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2-1
- version update
* Tue Aug 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.1a-1
- Initial Release
